Package com.sas.lsaf.execution.session

## Enum EngineType

- java.lang.Object
- - java.lang.Enum<EngineType>
  - - com.sas.lsaf.execution.session.EngineType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<EngineType>`

      public enum EngineType
      extends java.lang.Enum<EngineType>

  The values of the session engine types, based on the execution environment.
  Since:
    2.4

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `R` | The processing engine is R.
    `SAS` | The processing engine is SAS.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EngineType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static EngineType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SAS

          public static final EngineType SAS

      The processing engine is SAS.

    - #### R

          public static final EngineType R

      The processing engine is R.

  - ### Method Detail

    - #### values

          public static EngineType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EngineType c : EngineType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EngineType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null